package it.uniroma1.dis.mfis.redia.verifint.view.graphics.gui.frames.classDiagram;

import javax.swing.*;
import java.awt.*;
import java.awt.event.KeyEvent;

import it.uniroma1.dis.mfis.redia.verifint.view.graphics.gui._guiutils.FrameUtil;

public class ClassFrame extends JFrame{
	
	JLabel nomeLbl = new JLabel("Class Name: ");
	JTextField nomeTxt = new JTextField(20);
	JPanel nomePnl = new JPanel();

	JButton okBtn = new JButton("Ok");
	JButton annullaBtn = new JButton("Cancel");	

	JPanel nordPnl = new JPanel();
	JPanel centroPnl = new JPanel();
	JPanel sudPnl = new JPanel();

	AttributiPanel attrPnl = new AttributiPanel();
	OperazioniPanel operPnl = new OperazioniPanel(this);

	ClassListener ascoltatore = new ClassListener(this);	

	public ClassFrame(){
		super("New Class");
		Container c = this.getContentPane();

		nomePnl.add(nomeLbl);
		nomePnl.add(nomeTxt);
		nordPnl.add(nomePnl);

		centroPnl.setLayout(new GridLayout(2,1));
		centroPnl.add(attrPnl);
		centroPnl.add(operPnl);

		sudPnl.add(okBtn);
		sudPnl.add(annullaBtn);	
		
		c.add(nordPnl,BorderLayout.NORTH);
		c.add(centroPnl,BorderLayout.CENTER);
		c.add(sudPnl,BorderLayout.SOUTH);

    		KeyStroke keystroke = KeyStroke.getKeyStroke(KeyEvent.VK_ENTER, 0, false);
	 	this.getRootPane().setDefaultButton(okBtn);

		okBtn.addActionListener(ascoltatore);
		okBtn.setActionCommand(ascoltatore.OK);
		annullaBtn.addActionListener(ascoltatore);
		annullaBtn.setActionCommand(ascoltatore.ANNULLA);
		
		this.pack();
		FrameUtil.centraFrame(this);
		this.setVisible(true);	
	
	}
}

