package it.uniroma1.dis.mfis.redia.verifint.view.graphics.gui.frames.classDiagram;

import it.uniroma1.dis.mfis.redia.verifint.model.analysis.types.CTBaseType;

import javax.swing.*;
import java.awt.*;
import java.awt.event.KeyEvent;

import it.uniroma1.dis.mfis.redia.verifint.view.graphics.gui._guiutils.FrameUtil;

public class OperazioneFrame extends JFrame{
	
	JLabel nomeLbl = new JLabel("Name: ");
	JTextField nomeTxt = new JTextField(20);
	JPanel nomePnl = new JPanel();

	ParametriPanel parPnl = new ParametriPanel();

	JLabel typeLbl = new JLabel("Return type");
	final String[] types = {CTBaseType.STRING_TYPE.getName(),CTBaseType.INTEGER_TYPE.getName(),
				CTBaseType.POSITIVE_INTEGER_TYPE.getName(),CTBaseType.NON_NEGATIVE_INTEGER_TYPE.getName(),
				CTBaseType.BOOLEAN_TYPE.getName(),CTBaseType.FLOAT_TYPE.getName(),
				CTBaseType.CHARACTER_TYPE.getName(),CTBaseType.BYTE_TYPE.getName(),
				CTBaseType.DATE_TYPE.getName(),CTBaseType.DATE_TIME_TYPE.getName(),"Void"};
	JComboBox typeBox = new JComboBox(types);
	JPanel typePnl = new JPanel();

	JButton okBtn = new JButton("Ok");
	JButton annullaBtn = new JButton("Cancel");	

	JPanel nordPnl = new JPanel();
	JPanel centroPnl = new JPanel();
	JPanel sudPnl = new JPanel();

	OperazioneListener ascoltatore = new OperazioneListener(this);	

	ClassFrame classFrame;

	public OperazioneFrame(ClassFrame unFrame){
		super("New Operation");
		classFrame = unFrame;

		Container c = this.getContentPane();

		nomePnl.add(nomeLbl);
		nomePnl.add(nomeTxt);
		
		typePnl.add(typeLbl);
		typePnl.add(typeBox);
		
		nordPnl.add(nomePnl);
		nordPnl.add(typePnl);
		centroPnl.add(parPnl);
		sudPnl.add(okBtn);
		sudPnl.add(annullaBtn);
	
		c.add(nordPnl,BorderLayout.NORTH);
		c.add(centroPnl,BorderLayout.CENTER);
		c.add(sudPnl,BorderLayout.SOUTH);

    		KeyStroke keystroke = KeyStroke.getKeyStroke(KeyEvent.VK_ENTER, 0, false);
	 	this.getRootPane().setDefaultButton(okBtn);

		okBtn.addActionListener(ascoltatore);
		okBtn.setActionCommand(ascoltatore.OK);
		annullaBtn.addActionListener(ascoltatore);
		annullaBtn.setActionCommand(ascoltatore.ANNULLA);
	
		this.pack();
		FrameUtil.centraFrame(this);
		this.setVisible(true);
	}
}
