package it.uniroma1.dis.mfis.redia.verifint.view.graphics.gui.frames.classDiagram;

import  it.uniroma1.dis.mfis.redia.verifint.view.graphics.gui._guiutils.SpecialTableModel;

import javax.swing.*;
import javax.swing.table.*;
import javax.swing.event.*;
import java.awt.event.*;

public class OperazioniListener implements TableModelListener, ActionListener {
	
	OperazioniPanel panel;
	
	public static final String ADD = "AD";
	public static final String REMOVE = "RM";
	
	public OperazioniListener(OperazioniPanel unPanel) {
		panel = unPanel;
	}
	
	public void tableChanged(TableModelEvent e) {}
	
	public void actionPerformed(ActionEvent e) {
		String com = e.getActionCommand();
		if(com == ADD) {
			new OperazioneFrame(panel.classFrame);
		}
		if(com == REMOVE) {
			if(panel.table.getRowCount() > 1)
				removeLastRow();
			else {
				removeLastRow();
				panel.removeBtn.setEnabled(false);
			}
		}
	}

	private void removeLastRow() {
		panel.table.removeLastRow();
		panel.table.updateUI();
	}
}
