package it.uniroma1.dis.mfis.redia.verifint.view.graphics.gui.frames.classDiagram;

import javax.swing.*;
import javax.swing.table.*;
import javax.swing.event.*;
import java.awt.*;

public class ParametriPanel extends JPanel {
	
	ParametriTable table = new ParametriTable();
	JScrollPane jsp = new JScrollPane(table);
	JButton addBtn = new JButton("Add parameter");
	JButton removeBtn = new JButton("Remove last");
	JLabel parLbl = new JLabel("Nome");
	
	JPanel nordPnl = new JPanel();
	JPanel estPnl = new JPanel();
	JPanel ovestPnl = new JPanel();
	
	ParametriListener ascoltatore = new ParametriListener(this);

	public ParametriPanel() {

		removeBtn.setEnabled(false);

		nordPnl.add(parLbl);
		estPnl.add(jsp);
		ovestPnl.setLayout(new GridLayout(2,1));
		ovestPnl.add(addBtn);
		ovestPnl.add(removeBtn);

		this.add(nordPnl,BorderLayout.NORTH);
		this.add(estPnl,BorderLayout.EAST);
		this.add(ovestPnl,BorderLayout.WEST);
		
		table.getModel().addTableModelListener(ascoltatore);
		addBtn.addActionListener(ascoltatore);
		addBtn.setActionCommand(ascoltatore.ADD);
		removeBtn.addActionListener(ascoltatore);
		removeBtn.setActionCommand(ascoltatore.REMOVE);
		
	}
}
