package it.uniroma1.dis.mfis.redia.verifint.view.graphics.gui.frames.classDiagram;

import javax.swing.*;
import java.awt.*;
import java.awt.event.KeyEvent;

import it.uniroma1.dis.mfis.redia.verifint.view.graphics.gui._guiutils.FrameUtil;

public class AssociationFrame extends JFrame{
	String nomeClasse1 = "";

	JLabel nomeAssLbl = new JLabel("Association name: "); 	
	JTextField nomeAssTxt = new JTextField(20);
	JLabel clLbl1 = new JLabel("Class1 Name: ");
	JTextField clTxt1 = new JTextField(15);
	JPanel clPnl1 = new JPanel();
	JLabel ruLbl1 = new JLabel("Rule");
	JTextField ruTxt1 = new JTextField(15);
	JLabel carMinLbl1 = new JLabel("Cardinality min");
	JTextField carMinTxt1 = new JTextField(3);
	JLabel carMaxLbl1 = new JLabel("Cardinality max");
	JTextField carMaxTxt1 = new JTextField(3);

	
	JLabel clLbl2 = new JLabel("Class2 Name: ");
	JTextField clTxt2 = new JTextField(15);
	JPanel clPnl2 = new JPanel();
	JLabel ruLbl2 = new JLabel("Rule");
	JTextField ruTxt2 = new JTextField(15);
	JLabel carMinLbl2 = new JLabel("Cardinality min");
	JTextField carMinTxt2 = new JTextField(3);
	JLabel carMaxLbl2 = new JLabel("Cardinality max");
	JTextField carMaxTxt2 = new JTextField(3);

	JRadioButton simpleBtn = new JRadioButton("Simple");
	JRadioButton orientedBtn = new JRadioButton("Oriented");
	
	ButtonGroup group = new ButtonGroup();

	JButton okBtn = new JButton("Ok");
	JButton annullaBtn = new JButton("Cancel");

	JPanel nomePnl = new JPanel();

	JPanel sudPnl = new JPanel();
	JPanel nordPnl = new JPanel();
	JPanel centroPnl = new JPanel();
	JPanel stylePnl = new JPanel();

	AssociationListener ascoltatore = new AssociationListener(this);
	
	public AssociationFrame(String nome) {
		super("New Association");
		nomeClasse1 = nome;
		costruisciAssFrame();
	}

	public AssociationFrame(){
		super("New Association");
		costruisciAssFrame();
	}

	private void costruisciAssFrame() {
		clTxt1.setText(nomeClasse1);
				
		Container c = this.getContentPane();
		
		nomePnl.add(nomeAssLbl);
		nomePnl.add(nomeAssTxt);
		
		clPnl1.add(clLbl1);
		clPnl1.add(clTxt1);
		clPnl1.add(ruLbl1);
		clPnl1.add(ruTxt1);
		clPnl1.add(carMinLbl1);
		clPnl1.add(carMinTxt1);
		clPnl1.add(carMaxLbl1);
		clPnl1.add(carMaxTxt1);
		
		clPnl2.add(clLbl2);
		clPnl2.add(clTxt2);
		clPnl2.add(ruLbl2);
		clPnl2.add(ruTxt2);
		clPnl2.add(carMinLbl2);
		clPnl2.add(carMinTxt2);
		clPnl2.add(carMaxLbl2);
		clPnl2.add(carMaxTxt2);

		nordPnl.add(nomePnl);

		group.add(simpleBtn);
		group.add(orientedBtn);
		simpleBtn.setSelected(true);

		stylePnl.add(simpleBtn);
		stylePnl.add(orientedBtn);

		centroPnl.setLayout(new GridLayout(3,1));
		centroPnl.add(clPnl1);
		centroPnl.add(clPnl2);
		centroPnl.add(stylePnl);	

    		KeyStroke keystroke = KeyStroke.getKeyStroke(KeyEvent.VK_ENTER, 0, false);
	 	this.getRootPane().setDefaultButton(okBtn);	

		sudPnl.add(okBtn);		
		sudPnl.add(annullaBtn);	
		
		okBtn.addActionListener(ascoltatore);
		okBtn.setActionCommand(ascoltatore.OK);
		
		annullaBtn.addActionListener(ascoltatore);
		annullaBtn.setActionCommand(ascoltatore.ANNULLA);
		c.add(nordPnl,BorderLayout.NORTH);
		c.add(centroPnl,BorderLayout.CENTER);
		c.add(sudPnl,BorderLayout.SOUTH);		

		this.pack();
		FrameUtil.centraFrame(this);		
		this.setVisible(true);
	}

}
