package it.uniroma1.dis.mfis.redia.verifint.view.graphics.gui.frames.classDiagram;

import javax.swing.*;
import java.awt.*;
import java.awt.event.KeyEvent;

import it.uniroma1.dis.mfis.redia.verifint.view.graphics.gui._guiutils.FrameUtil;

public class ISAFrame extends JFrame{

	private String nomePadre = "";

	JLabel isaLbl = new JLabel("IS-A");

	JLabel clLbl1 = new JLabel("Father: ");
	JTextField clTxt1 = new JTextField(20);
	JPanel clPnl1 = new JPanel();

	FigliTable figliTable = new FigliTable();
	JScrollPane jsp = new JScrollPane(figliTable);
	JPanel clPnl2 = new JPanel();
	
	JButton okBtn = new JButton("Ok");
	JButton annullaBtn = new JButton("Cancel");
	
	JCheckBox disjointBox = new JCheckBox();
	JLabel disjointLbl = new JLabel("disjoint");
	
	JCheckBox completeBox = new JCheckBox();
	JLabel completeLbl = new JLabel("complete");
	
	private JPanel nomePnl = new JPanel();
	private JPanel boxPnl = new JPanel();
	private JPanel sudPnl = new JPanel();
	private JPanel nordPnl = new JPanel();
	private JPanel centroPnl = new JPanel();
	private ISAListener ascoltatore = new ISAListener(this);	

	public ISAFrame(String nome) {
		super("New IS-A");
		nomePadre = nome;
		costruisciISAFrame();
	}
	public ISAFrame() {
		super("New IS-A");
		costruisciISAFrame();
	}

	private void costruisciISAFrame() {
		clTxt1.setText(nomePadre);

		for(int i = 0; i < 10; i++)
			figliTable.addRow();

		Container c = this.getContentPane();
		
		nordPnl.add(isaLbl);
		
		clPnl1.add(clLbl1);
		clPnl1.add(clTxt1);

		clPnl2.add(jsp);

		boxPnl.add(disjointLbl);
		boxPnl.add(disjointBox);
		boxPnl.add(new JLabel(" - "));
		boxPnl.add(completeLbl);
		boxPnl.add(completeBox);

		centroPnl.setLayout(new BorderLayout());
		centroPnl.add(clPnl1, BorderLayout.NORTH);
		centroPnl.add(clPnl2, BorderLayout.CENTER);
		centroPnl.add(boxPnl, BorderLayout.SOUTH);
	
		sudPnl.add(okBtn);		
		sudPnl.add(annullaBtn);	

    		KeyStroke keystroke = KeyStroke.getKeyStroke(KeyEvent.VK_ENTER, 0, false);
	 	this.getRootPane().setDefaultButton(okBtn);

		okBtn.addActionListener(ascoltatore);
		okBtn.setActionCommand(ascoltatore.OK);
		
		annullaBtn.addActionListener(ascoltatore);
		annullaBtn.setActionCommand(ascoltatore.ANNULLA);

		c.add(nordPnl,BorderLayout.NORTH);
		c.add(centroPnl,BorderLayout.CENTER);
		c.add(sudPnl,BorderLayout.SOUTH);		

		this.pack();		
		FrameUtil.centraFrame(this);
		this.setVisible(true);
		
	}

}
