package it.uniroma1.dis.mfis.redia.verifint.view.graphics.gui.frames.classDiagram;

import javax.swing.*;
import javax.swing.table.*;
import javax.swing.event.*;
import java.awt.*;

public class OperazioniPanel extends JPanel {
	
	OperazioniTable table = new OperazioniTable();
	JScrollPane jsp = new JScrollPane(table);
	JButton addBtn = new JButton("Add operation");
	JButton removeBtn = new JButton("Remove last");
	JLabel operLbl = new JLabel("Operations");
	
	JPanel nordPnl = new JPanel();
	JPanel estPnl = new JPanel();
	JPanel ovestPnl = new JPanel();

	ClassFrame classFrame;
	
	OperazioniListener ascoltatore = new OperazioniListener(this);
	
	public OperazioniPanel(ClassFrame unFrame) {

		classFrame = unFrame;
		
		removeBtn.setEnabled(false);

		nordPnl.add(operLbl);
		estPnl.add(jsp);
		ovestPnl.setLayout(new GridLayout(2,1));
		ovestPnl.add(addBtn);
		ovestPnl.add(removeBtn);

		this.add(nordPnl,BorderLayout.NORTH);
		this.add(estPnl,BorderLayout.EAST);
		this.add(ovestPnl,BorderLayout.WEST);
		
		table.getModel().addTableModelListener(ascoltatore);
		addBtn.addActionListener(ascoltatore);
		addBtn.setActionCommand(ascoltatore.ADD);
		removeBtn.addActionListener(ascoltatore);
		removeBtn.setActionCommand(ascoltatore.REMOVE);
	}
}
