package it.uniroma1.dis.mfis.redia.verifint.view.graphics.gui.frames.classDiagram;

import it.uniroma1.dis.mfis.redia.verifint.view.graphics.gui._guiutils.SpecialTableModel;

import javax.swing.*;
import java.awt.*;

public class OperazioniTable extends JTable {

	SpecialTableModel modello;
	final String[] colNames = {"name(param1: type1, ...): return type"};
	
	public OperazioniTable() {
		modello = new SpecialTableModel(colNames);
		modello.setEditable(false);
		this.setModel(modello);
		this.setPreferredScrollableViewportSize(new Dimension(492,170));
		this.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
	}
	
	public void clear() {
		modello.clear();
	}
	
	public void addRow(String row) {
		Object[] newRow = new Object[1];
		newRow[0] = row;
		modello.addRow(newRow);
	}
	
	public void removeLastRow() {
		modello.removeLastRow();
	}
}
